using skydiveLogs_api.Domain;
using System.Collections.Generic;

namespace skydiveLogs_api.DomainService.Repositories
{
    public interface IJumpRepository : IRepository<Jump>
    {
        #region Public Methods

        IEnumerable<Jump> GetAll(User user);

        IEnumerable<Jump> GetBetweenIndex(User user, int beginIndex, int endIndex);

        int GetCount(User user);

        bool DeleteById(int id);

        #endregion Public Methods
    }
}